Order records endpoints

List order records

get

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentation. List order records with pagination and optional filters

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional
sizenumber · max: 500Optional
facilityRefstringOptional
tenantOrderRecordIdstringOptional
Responses
200

The order records that were found based on the given filters.

application/json

OrderRecords

totalnumberRequired

Total number of found entities for this query

Example: 42
get
/api/orderrecords

Bulk create order records

put

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentation. Create multiple order records in a single request (max 25)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

OrderRecordBulkOperations

Responses
200

The order records have been successfully created.

application/json

OrderRecordBulkOperationsResponse

put
/api/orderrecords

Get an order record

get

This part of the API is in Alpha status. For details please check the api-release-life-cycle documentation. Get a single order record by id

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
orderRecordIdstringRequired
Responses
200

The order record was found.

application/json

OrderRecord

anonymizedbooleanRequired

Whether consumer data has been anonymized

createdstring · date-timeRequired

Creation timestamp

customAttributesobject · nullableOptional

Attributes that can be added to this entity. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.

deletionDatestring · date-timeRequired

Date when the record will be deleted

facilityRefstringRequired

Reference to the facility

gdprCleanupDatestring · date-timeRequired

Date when GDPR cleanup will occur

idstringRequired

Unique identifier of the order record

lastModifiedstring · date-timeRequired

Last modification timestamp

orderRecordDatestring · date-timeRequired

Date of the order record

tenantOrderRecordIdstringOptional

Tenant-specific order record identifier

versionintegerRequired

Version number for optimistic locking

get
/api/orderrecords/{orderRecordId}

Last updated